Subject: bug#19838: 25.0.50; incompatible change not documented

From: Drew Adams <[email-masked]>
Date: Sat, 30 Apr 2016 09:57:26 -0800 (GMT-08:00)

> > Emacs 24.3 apparently removed command `bookmark-insert-current-bookmark'
> > (and so removed its keybinding in `bookmark-minibuffer-read-name-map'.
> >
> > That's too bad.  But this bug report is about not documenting this
> > incompatible change.  Nothing in the Emacs 24.3 (or later) NEWS about
> > it.
> >
> > You should not just remove user-level things like commands without
> > letting users know.
> 
> Too late now, anyway.

No, it's not too late.  We distribute the NEWS for older releases too.

NEWS should reflect changes for a release.  Users should be able to
find what got changed and when, by consulting NEWS for different
releases.